> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/account/get-bills-archive/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get bills (3 months) GET https://www.okx.com/api/v5/account/bills-archive Retrieve the account bills for the last 3 months. The bill refers to all transaction records that result in changing the balance of an account. Reference: https://okx-demo.ferndocs.com/api/api-reference/account/get-bills-archive ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `instType` (enum, optional) — Instrument type. - Allowed values: `SPOT`, `MARGIN`, `SWAP`, `FUTURES`, `OPTION` - `ccy` (string, optional) — Currency. - `mgnMode` (enum, optional) — Margin mode. - Allowed values: `isolated`, `cross` - `ctType` (enum, optional) — Contract type. - Allowed values: `linear`, `inverse` - `type` (string, optional) — Bill type. - `subType` (string, optional) — Bill subtype. - `after` (string, optional) — Pagination of data to return records earlier than the requested bill ID. - `before` (string, optional) — Pagination of data to return records newer than the requested bill ID. - `limit` (string, optional) — Number of results per request. Maximum 100, default 100. - `begin` (string, optional) — Filter with a begin timestamp, Unix timestamp in milliseconds. - `end` (string, optional) — Filter with an end timestamp, Unix timestamp in milliseconds. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5AccountBillsArchiveGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5AccountBillsArchiveGetResponsesContentApplicationJsonSchemaDataItems - `instType` (string, optional) — Instrument type. - `instId` (string, optional) — Instrument ID. - `billId` (string, optional) — Bill ID. - `type` (string, optional) — Bill type. - `subType` (string, optional) — Bill subtype. - `ccy` (string, optional) — Account balance currency. - `bal` (string, optional) — Balance at the account level. - `balChg` (string, optional) — Change in balance amount at the account level. - `sz` (string, optional) — Quantity. - `pnl` (string, optional) — Profit and loss. - `fee` (string, optional) — Fee. - `mgnMode` (string, optional) — Margin mode. - `ordId` (string, optional) — Order ID. - `ts` (string, optional) — Creation time, Unix timestamp in milliseconds. ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "instType": "SPOT", "instId": "BTC-USDT", "billId": "623950854533513219", "type": "2", "subType": "1", "ccy": "USDT", "bal": "8694.2179403378290202", "balChg": "0.0219338232210000", "sz": "0.021955779", "pnl": "0", "fee": "-0.000021955779", "mgnMode": "isolated", "ordId": "623950854525124608", "ts": "1695033476167", "clOrdId": "", "earnAmt": "", "earnApr": "", "execType": "T", "fillFwdPx": "", "fillIdxPx": "27104.1", "fillMarkPx": "", "fillMarkVol": "", "fillPxUsd": "", "fillPxVol": "", "fillTime": "1695033476166", "from": "", "interest": "0", "notes": "", "posBal": "0", "posBalChg": "0", "px": "27105.9", "tag": "", "to": "", "tradeId": "586760148" } ] } ``` **SDK Code** ```python account_getBillsArchive_example import requests url = "https://www.okx.com/api/v5/account/bills-archive" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript account_getBillsArchive_example const url = 'https://www.okx.com/api/v5/account/bills-archive'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go account_getBillsArchive_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/account/bills-archive" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby account_getBillsArchive_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/account/bills-archive") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java account_getBillsArchive_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/account/bills-archive") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php account_getBillsArchive_example request('GET', 'https://www.okx.com/api/v5/account/bills-archive', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp account_getBillsArchive_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/account/bills-archive"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift account_getBillsArchive_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/bills-archive")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```